summaryrefslogtreecommitdiff
path: root/dev-ruby/json
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/json
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/json')
-rw-r--r--dev-ruby/json/Manifest9
-rw-r--r--dev-ruby/json/json-2.10.2.ebuild55
-rw-r--r--dev-ruby/json/json-2.12.2.ebuild55
-rw-r--r--dev-ruby/json/json-2.13.2.ebuild56
-rw-r--r--dev-ruby/json/json-2.14.1.ebuild56
-rw-r--r--dev-ruby/json/json-2.15.2.ebuild53
-rw-r--r--dev-ruby/json/json-2.16.0.ebuild53
-rw-r--r--dev-ruby/json/json-2.17.1.ebuild53
-rw-r--r--dev-ruby/json/json-2.18.0.ebuild57
-rw-r--r--dev-ruby/json/json-2.19.4.ebuild57
-rw-r--r--dev-ruby/json/metadata.xml12
11 files changed, 516 insertions, 0 deletions
diff --git a/dev-ruby/json/Manifest b/dev-ruby/json/Manifest
new file mode 100644
index 000000000000..aaff764ba11b
--- /dev/null
+++ b/dev-ruby/json/Manifest
@@ -0,0 +1,9 @@
+DIST json-2.10.2.tar.gz 834578 BLAKE2B 2225e515e2df5ec66985ca3e73ff0e9cd68025c295f1313504c61bbf73a5f80054635b19dbee5fab2cd6b7f24ada79a08d7e798dc8faead80ac6863c0be946b2 SHA512 b4193f944d7b24197d138ecbbf4132b1e39fa93c4f5abeca6c24027a54a8a0d278bf214348a96c2fade72408ebd265f79da9ee7a594c589f05089cbf0b38cf31
+DIST json-2.12.2.tar.gz 848560 BLAKE2B 489660e253a40c4274cc7d1c45a959a32674d2bab32fc9d16820744d6acdd0ef07cddafa586e7b1266815d68c5dc3b8a50a75242cd18d6f0503cfa6ad065bb0a SHA512 ccaf9813fb51f735d0961b97ccb6f71d9c0124d3b179dc936664b502dd2136fe48df16cc0b2384bbb46d514f29ef0241ee7bcbea5677e608935a63c8a9dacf6e
+DIST json-2.13.2.tar.gz 851603 BLAKE2B 9770e4892514f370c34c043582e519ba68a077eb246cd3a7164056572aca1570754362b7cf7cb5e2d39afa0204913d19b1bdb32b6b34253c910736940ac4793d SHA512 62a48257ccd7a34accd9926fe1e6d2ca2599eb86e7bf5239b473603ec4fc00928c56f46b8bae75880b62df3a9a8a4fb9000b61319a1b0a1987cfc9bde1422fa7
+DIST json-2.14.1.tar.gz 855875 BLAKE2B f989da0cf149f60b2539d36f54ad1b423033c42da140abc375990a43db0a76bb6b9277c4fbae77d524e64f314311b7eeef0eed896f3acaf30cfaf3b4706d3709 SHA512 82aedfce4c838ef177c5fdbc87107787343d22b1f333d44aef8cb77ed586d50d02128be2c8f3eaa8dcc9423ea46cad51667538fd72845566cf89c12229aa1c0e
+DIST json-2.15.2.tar.gz 857225 BLAKE2B 882854d354524bfa319cd20b8f18f854563323c831ab2d23e698eae8280e2166c7861173934897ea05ce05dff0cb9e0f3f80537278ca0b16d373a070f2e76b58 SHA512 320e5a6e56829fe32c73e6d0bb6a850fb5e9f123bec01f935ace892350c99e7e94f5bca3d98408ae83bc22f2aa96adc150da727dda7372b92877c2d2e6a91b56
+DIST json-2.16.0.tar.gz 885987 BLAKE2B 36dd95d95ea1e2ac1c6d8458c7eb61825725af1f0e99f956f4df15c336e2d0f6a4934aecfd4c1d44f540dc4fa89310224212e577957e35068bc0329060954526 SHA512 4bad117d09fa854e20bbf02baf0b83a66aac7d4a573fbb4bbe61bfcb27ba47d76bb2d9ef11bc6c6077e04bb5a7cf1d0ac2e4e083f0c8820a89fcba667870896e
+DIST json-2.17.1.tar.gz 887867 BLAKE2B 0a53059137baa168cca2b285c46ba0facd9bf6d5e8adbcede98fa9fa8bb73a98a58cf7117ee8d681ec72201b5ae17b16a03f4da02417287777e038f5adfac0a3 SHA512 b2f0ee0e0fa8f8fc3fd3d6aaffe8bacdd5aed012efbb121012aa6d0a936ef73122f671a806f7a3e80203342d18fe8ad39faa78755b0f89b60e6cda4a99b996dc
+DIST json-2.18.0.tar.gz 888250 BLAKE2B fe996a27f80da55fc4b5a3d69b69bc20aef5d1c767d99bc0f27e94bc23d23fa0c6dc1ac19df6663f78f1d50f30a6168e33a174f871d6489b19a1eab2e30688fd SHA512 c386463cefcc43c8c237affade9f88feda9d73ef5b293783200c9dd20fc3bc3c2b259b8e22fc792e1126878528082ad7bee4db4a75297797baced31d570eba05
+DIST json-2.19.4.tar.gz 889067 BLAKE2B 06d9e4e44cc0add3bdd39351a9191b4b77656c0ef13218b469ac198cc2c0a2490eaa5e029ed78d5cb96af7fd73fc4dace474303d47626706fe98c3a15b52dcd6 SHA512 8907fb4cd486321297c0c9f73733ac97eebf6bc9e7a7b25a3eb1922a49d6db000c2c655006fe959da491ffbbfcb525a890c86e324c9e2bd73afca267fa82b77c
diff --git a/dev-ruby/json/json-2.10.2.ebuild b/dev-ruby/json/json-2.10.2.ebuild
new file mode 100644
index 000000000000..3eec1f2c6bfd
--- /dev/null
+++ b/dev-ruby/json/json-2.10.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+
+ # Fix version number
+ sed -e 's/2.8.2/2.9.0/' -i lib/json/version.rb || die
+}
diff --git a/dev-ruby/json/json-2.12.2.ebuild b/dev-ruby/json/json-2.12.2.ebuild
new file mode 100644
index 000000000000..189e4455ef94
--- /dev/null
+++ b/dev-ruby/json/json-2.12.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+
+ # Fix version number
+ sed -e 's/2.8.2/2.9.0/' -i lib/json/version.rb || die
+}
diff --git a/dev-ruby/json/json-2.13.2.ebuild b/dev-ruby/json/json-2.13.2.ebuild
new file mode 100644
index 000000000000..6dda0c42df77
--- /dev/null
+++ b/dev-ruby/json/json-2.13.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+
+ # Fix version number
+ sed -e 's/2.8.2/2.9.0/' -i lib/json/version.rb || die
+}
diff --git a/dev-ruby/json/json-2.14.1.ebuild b/dev-ruby/json/json-2.14.1.ebuild
new file mode 100644
index 000000000000..6dda0c42df77
--- /dev/null
+++ b/dev-ruby/json/json-2.14.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+
+ # Fix version number
+ sed -e 's/2.8.2/2.9.0/' -i lib/json/version.rb || die
+}
diff --git a/dev-ruby/json/json-2.15.2.ebuild b/dev-ruby/json/json-2.15.2.ebuild
new file mode 100644
index 000000000000..d157c1943819
--- /dev/null
+++ b/dev-ruby/json/json-2.15.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+}
diff --git a/dev-ruby/json/json-2.16.0.ebuild b/dev-ruby/json/json-2.16.0.ebuild
new file mode 100644
index 000000000000..d157c1943819
--- /dev/null
+++ b/dev-ruby/json/json-2.16.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+}
diff --git a/dev-ruby/json/json-2.17.1.ebuild b/dev-ruby/json/json-2.17.1.ebuild
new file mode 100644
index 000000000000..d157c1943819
--- /dev/null
+++ b/dev-ruby/json/json-2.17.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+}
diff --git a/dev-ruby/json/json-2.18.0.ebuild b/dev-ruby/json/json-2.18.0.ebuild
new file mode 100644
index 000000000000..73e910886a1f
--- /dev/null
+++ b/dev-ruby/json/json-2.18.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+
+ # Avoid coverage dependencies
+ sed -e 's/JSON_COVERAGE/NO_JSON_COVERAGE/' \
+ -i test/json/test_helper.rb || die
+}
diff --git a/dev-ruby/json/json-2.19.4.ebuild b/dev-ruby/json/json-2.19.4.ebuild
new file mode 100644
index 000000000000..d97596b3e493
--- /dev/null
+++ b/dev-ruby/json/json-2.19.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="json.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/json/ext/parser/extconf.rb ext/json/ext/generator/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/json/ext
+
+inherit ruby-fakegem
+
+DESCRIPTION="A JSON implementation as a Ruby extension"
+HOMEPAGE="https://github.com/ruby/json"
+SRC_URI="https://github.com/ruby/json/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="|| ( BSD-2 Ruby )"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+DEPEND="dev-util/ragel"
+
+ruby_add_bdepend "dev-ruby/rake
+ doc? ( dev-ruby/rdoc )
+ test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-ruby-core
+ )"
+
+all_ruby_prepare() {
+ # Avoid building the extension twice!
+ # And use rdoc instead of sdoc which we don't have packaged
+ # And don't call git to list files. We're using the pregenerated spec anyway.
+ sed -i \
+ -e '/task :test/ s|:compile||' \
+ -e 's| => :clean||' \
+ -e 's|sdoc|rdoc|' \
+ -e 's|`git ls-files`|""|' \
+ -e '/extensiontask/I s:^:#:' \
+ Rakefile || die "rakefile fix failed"
+
+ sed -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid setting gem since it will not be available yet when installing
+ sed -i -e '/gem/ s:^:#:' test/json/test_helper.rb || die
+
+ # Avoid coverage dependencies
+ sed -e 's/JSON_COVERAGE/NO_JSON_COVERAGE/' \
+ -i test/json/test_helper.rb || die
+}
diff --git a/dev-ruby/json/metadata.xml b/dev-ruby/json/metadata.xml
new file mode 100644
index 000000000000..9ab5522c6fba
--- /dev/null
+++ b/dev-ruby/json/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">json</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>